<!--
iDevAffiliate Support Notes
1. You will need the Stripe API library uploaded also. There is a /vendor 'include' to it below.
2. You will need to update your Stripe plan below.
3. You will need to update your Stripe API key below. Using 'development' mode in Stripe is fine.
-->

<?php

// Create a customer using a Stripe token

// If you're using Composer, use Composer's autoload:
// NOTE: You will need the Stripe API library uploaded also.
require_once('vendor/autoload.php');

// Be sure to replace this with your actual test API key
// (switch to the live key later)
\Stripe\Stripe::setApiKey("API_key_here");

try
{
    $customer = \Stripe\Customer::create([
        'email' => $_POST['stripeEmail'],
        'source'  => $_POST['stripeToken'],
    ]);

    $plan = 'plan_FJTozIbCYRPt9n';
    //$coupon = 'express';
    $coupon = '';

    $subscription = \Stripe\Subscription::create([
        'customer' => $customer->id,
        'items' => [['plan' => $plan]],
        'coupon'=> $coupon,
        'metadata' => $_POST['idev_custom']
    ]);


    if ($subscription->status != 'incomplete')
    {
        echo 'Signup Successful';
    }
    else
    {
        echo 'failed';
    }
    exit;
}
catch(Exception $e)
{
    header('Location:oops.html');
    error_log("unable to sign up customer:" . $_POST['stripeEmail'].
        ", error:" . $e->getMessage());
}